%define upstream_name    AppConfig
%define	upstream_version 1.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:  	Perl5 modules for reading configuration
License:	GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-File-HomeDir
buildarch:      noarch


%description
AppConfig has a powerful but easy to use module for parsing configuration
files. It also has a simple and efficient module for parsing command line
arguments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/AppConfig.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.660.0-2.mga3
+ Revision: 363087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.660.0-1.mga1
+ Revision: 31718
- mageia rebuild
- imported package perl-AppConfig

